com.amos.flyinn.settingsCheck

## Enum SettingsChecker.SettingsType

- java.lang.Object
- - java.lang.Enum<SettingsChecker.SettingsType>
  - - com.amos.flyinn.settingsCheck.SettingsChecker.SettingsType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SettingsChecker.SettingsType>
  Enclosing class:
    SettingsChecker

      public static enum SettingsChecker.SettingsType
      extends java.lang.Enum<SettingsChecker.SettingsType>

  Different types of settings

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADBperNetwork` ADB per network debugging
    `ADBperUSB` ADB/USB debugging
    `Developer` Developer settings

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SettingsChecker.SettingsType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SettingsChecker.SettingsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Developer

          public static final SettingsChecker.SettingsType Developer

      Developer settings

    - #### ADBperUSB

          public static final SettingsChecker.SettingsType ADBperUSB

      ADB/USB debugging

    - #### ADBperNetwork

          public static final SettingsChecker.SettingsType ADBperNetwork

      ADB per network debugging

  - ### Method Detail

    - #### values

          public static SettingsChecker.SettingsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SettingsChecker.SettingsType c : SettingsChecker.SettingsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SettingsChecker.SettingsType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null